Package com.avaya.clientservices.contact.fields

## Enum ContactPhoneNumberType

- java.lang.Object
- - java.lang.Enum<ContactPhoneNumberType>
  - - com.avaya.clientservices.contact.fields.ContactPhoneNumberType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContactPhoneNumberType>`

      public enum ContactPhoneNumberType
      extends java.lang.Enum<ContactPhoneNumberType>

  Defines the types of phone numbers that can be associated with a contact.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ASSISTANT` | Assistant phone number type.
    `FAX` | Fax phone number type.
    `HANDLE` | Handle phone number type.
    `HOME` | Home phone number type.
    `MOBILE` | Mobile phone number type.
    `OTHER` | Other phone number type.
    `PAGER` | Pager phone number type.
    `WORK` | Work phone number type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContactPhoneNumberType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContactPhoneNumberType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORK

          public static final ContactPhoneNumberType WORK

      Work phone number type.

    - #### HOME

          public static final ContactPhoneNumberType HOME

      Home phone number type.

    - #### MOBILE

          public static final ContactPhoneNumberType MOBILE

      Mobile phone number type.

    - #### HANDLE

          public static final ContactPhoneNumberType HANDLE

      Handle phone number type.

    - #### FAX

          public static final ContactPhoneNumberType FAX

      Fax phone number type.

    - #### PAGER

          public static final ContactPhoneNumberType PAGER

      Pager phone number type. This type is not supported by enterprise sources.

    - #### ASSISTANT

          public static final ContactPhoneNumberType ASSISTANT

      Assistant phone number type. This type is not supported by enterprise sources.

    - #### OTHER

          public static final ContactPhoneNumberType OTHER

      Other phone number type. This type is not supported by enterprise sources.

  - ### Method Detail

    - #### values

          public static ContactPhoneNumberType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactPhoneNumberType c : ContactPhoneNumberType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactPhoneNumberType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null